Message: EXPAT library missing Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Question EXPAT library missing 

Forum: Installation and Configuration
Date: 24 Jan, 2013
From: Alejandro Carabe <Alejandro Carabe>

Hi, I have the following problem when installing Geant4.9.5.p01 in a ubuntu machine:

ubuntu@ip-10-58-37-199:~$ cmake -DCMAKE_INSTALL_PREFIX=/home/ubuntu/geant4/geant4-install/ -DGEANT4_INSTALL_DATA=ON -DGEANT4_USE_GDML=ON -DGEANT_4_USE_QT=ON -DGEANT4_USE_OPENGL_X11=ON -DGEANT4_USE_RAYTRACER_X11=ON  /home/ubuntu/geant4/geant4.9.5/
-- setting default compiler flags for CXX
-- Could NOT find EXPAT (missing:  EXPAT_LIBRARY) 
CMake Error at /usr/local/share/cmake-2.8/Modules/FindX11.cmake:381 (MESSAGE):
  Could not find X11
Call Stack (most recent call first):
  cmake/Modules/Geant4InterfaceOptions.cmake:132 (find_package)
  CMakeLists.txt:84 (include)

-- Configuring incomplete, errors occurred!

ubuntu@ip-10-58-37-199:~$

BUT I have installed the following packages:

1) sudo apt-get update 2) sudo apt-get install build-essential 3) sudo apt-get install libexpat1-dev 4) sudo apt-get install libgl1-mesa-dev 5) sudo apt-get install libglu1-mesa-dev 6) sudo apt-get install libxt-dev 7) sudo apt-get install xorg-dev 8) sudo apt-get install libxerces-c2-dev 9) sudo apt-get install xauth

Any thoughts on what is missing??

Thank you in advance Alex

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: EXPAT library missing   (Ben Morgan - 25 Jan, 2013)
(_ None: Re: EXPAT library missing   (Alejandro Carabe - 25 Jan, 2013)
(_ None: Re: EXPAT library missing   (Ben Morgan - 25 Jan, 2013)
 Add Message Add Message
to: "EXPAT library missing"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]